Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Deployment::DomainApplicationManager Interface Reference

`import "Deployment.idl";`

List of all members.

## Public Member Functions
DeploymentPlan | getPlan ()
void | startLaunch (in Properties configProperty, in boolean start) raises (ResourceNotAvailable, StartError, InvalidProperty)
void | finishLaunch (in boolean start, in boolean is_ReDAC) raises (StartError, InvalidConnection)
void | start () raises (StartError)
NodeApplication | get_node_app (in string node_name) raises (NoSuchName)
void | destroyApplication () raises (StopError)
void | destroyManager () raises (StopError)
| CIAO specific extension to destroy NodeApplicationManager.
void | perform_redeployment (in DeploymentPlan new_plan) raises (PlanError, InstallationFailure, UnknownImplId, ImplEntryPointNotFound, InvalidConnection, InvalidProperty, ::Components::RemoveFailure)

## Detailed Description

CIAO 's DomainApplicationManager interface differs spec-defined interface in the same that it also integrates the spec-defined interface for DomainApplication into itself

## Member Function Documentation

void Deployment::DomainApplicationManager::destroyApplication | ( |  | ) | raises (StopError)

| CIAO speicifc extension, it differs with the spec defined one for no input parameter.

void Deployment::DomainApplicationManager::destroyManager | ( |  | ) | raises (StopError)

| CIAO specific extension to destroy NodeApplicationManager.

void Deployment::DomainApplicationManager::finishLaunch | ( | in boolean | start,
|  | in boolean | is_ReDAC
| ) | raises (StartError, InvalidConnection)

NodeApplication Deployment::DomainApplicationManager::get_node_app | ( | in string | node_name | ) | raises (NoSuchName)

| CIAO specific extention Fetch NodeApplication based on the given node name

DeploymentPlan Deployment::DomainApplicationManager::getPlan | ( |  | ) |

void Deployment::DomainApplicationManager::perform_redeployment | ( | in DeploymentPlan | new_plan | ) | raises (PlanError, InstallationFailure, UnknownImplId, ImplEntryPointNotFound, InvalidConnection, InvalidProperty, ::Components::RemoveFailure)

| CIAO specific extension Perform the actual redeployment and reconfiguration on the dommain level.

void Deployment::DomainApplicationManager::start | ( |  | ) | raises (StartError)

void Deployment::DomainApplicationManager::startLaunch | ( | in Properties | configProperty,
|  | in boolean | start
| ) | raises (ResourceNotAvailable, StartError, InvalidProperty)

| CIAO specific version of startLaunch implementation, this one differs with spec-defined operation in the sense that it doesn't return DomainApplication object reference.

The documentation for this interface was generated from the following file:

- Deployment.idl